
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #299

Very large (invisible) main window with some skins

May 25, 2013 20:24 - Андрей Тимираев

Status: Closed Start date: May 25, 2013

Priority: Major Due date:  

Assignee:  % Done: 100%

Category: plugins/skins Estimated time: 0.00 hour

Target version: 3.4   

Affects version: 3.4-beta1   

Description

if the main window is a custom size that it does not go down on the screen

History

#1 - May 26, 2013 15:06 - John Lindgren

What do you mean by "it does not go down on the screen"?

#2 - May 27, 2013 05:37 - Андрей Тимираев

John Lindgren wrote:

What do you mean by "it does not go down on the screen"?

 

Sorry for my English. When you pull down the window only moves the mouse cursor. The window remains in place (below a certain height does not

go down).

#3 - May 27, 2013 11:06 - Michael Schwendt

Steps to reproduce:

1. enable Winamp classic interface

2. load "Osmosis" skin or "Ivory" skin

3. try to move player window

Results:

Window cannot be moved down, but the playlist window moves if it's tied to the main window.

#4 - May 28, 2013 23:02 - John Lindgren

3. try to move player window
How?  There are many ways to move a window.

#5 - May 29, 2013 07:11 - Michael Schwendt

True. ;) Moving via keyboard Alt+F7 and cursor keys is not affected.

Place the mouse pointer somewhere over the player window, click and hold the left mouse button, then move the mouse. Move the player window

near the top of the screen, try moving it far down. It gets stuck somewhere near the top.

Further observation:

1. choose a small skin, e.g. "Refugee"

2. move the player window near the bottom of the screen (no matter how)

3. choose a larger/wider skin, e.g. "Osmosis"

4. player window jumps near the top of the screen (to the area where it will be stuck when trying to move it with the mouse)

#6 - May 30, 2013 01:25 - John Lindgren

I can't reproduce any of this.  In what version did the problem appear?

#7 - May 30, 2013 07:42 - Андрей Тимираев

John Lindgren wrote:

I can't reproduce any of this.  In what version did the problem appear?

 

3.4 and 3.3 on Linux Mint 13 x64 exactly.

#8 - May 30, 2013 07:53 - Michael Schwendt

- File 04.jpg added

It's present also with GNOME 3.6.3 and Audacious 3.3.4 (Fedora 18).

GNOME apparently thinks the size of the window is much larger than what is being used actually. On the Activities screen, a huge/oversized border is

drawn around the window. For comparison, with a normal-sized skin, the size of the border matches the size of the window.

[Haven't tried other desktop environments yet.]

#9 - May 30, 2013 08:00 - Michael Schwendt

It's present also with GNOME 3.4.2 and Audacious 3.2.4 (Fedora 17).

#10 - May 30, 2013 08:11 - Андрей Тимираев

Michael Schwendt wrote:

It's present also with GNOME 3.6.3 and Audacious 3.3.4 (Fedora 18).
GNOME apparently thinks the size of the window is much larger than what is being used actually. On the Activities screen, a huge/oversized

border is drawn around the window. For comparison, with a normal-sized skin, the size of the border matches the size of the window.

[Haven't tried other desktop environments yet.]

 

on Linux Mint 13 mate (libmate 1.2.0-2~precise)

#11 - May 30, 2013 08:31 - Michael Schwendt

Not reproducible with Openbox.

#12 - May 30, 2013 23:03 - John Lindgren

Андрей Тимираев wrote:

John Lindgren wrote:

I can't reproduce any of this.  In what version did the problem appear?

 

3.4 and 3.3 on Linux Mint 13 x64 exactly.

 

So, 3.2.x does not suffer from the same problem?

#13 - May 31, 2013 01:05 - John Lindgren

- Subject changed from if the main window has a non-standard size to Very large (invisible) main window with some skins

- Category set to plugins/skins

- Status changed from New to Closed

- Target version set to 3.4

- % Done changed from 0 to 100

- Affects version 3.4-beta1 added

- Affects version deleted (3.4)

Michael Schwendt wrote:

GNOME apparently thinks the size of the window is much larger than what is being used actually.
Thanks for this observation; it allowed me to figure out what was actually happening here.  Fixed now:

https://github.com/audacious-media-player/audacious-plugins/commit/8dfd7393fcecf47cfa7fb9b248b70835ff813606

#14 - June 02, 2013 23:16 - Андрей Тимираев

John Lindgren wrote:

Андрей Тимираев wrote:

John Lindgren wrote:

I can't reproduce any of this.  In what version did the problem appear?

 

3.4 and 3.3 on Linux Mint 13 x64 exactly.

 

So, 3.2.x does not suffer from the same problem?

 

I don't know
